## org.eclipse.amp.agf.zest
Class ZestViewPart

    java.lang.Object
      ViewPart
          org.eclipse.amp.axf.view.ModelViewPart
              org.eclipse.amp.agf.zest.ZestViewPart

All Implemented Interfaces:
  IModelPart

    public class ZestViewPart

extends ModelViewPart

The Class ZestViewPart.

Field Summary
`(package private) double` `gravity`
`(package private) IAction` `springCustomizer`
`(package private) double` `springLength`
`(package private) double` `springMove`
`private SpringLayoutAlgorithm` `springs`
`(package private) double` `strain`
`private GraphViewer` `viewer`

Fields inherited from class org.eclipse.amp.axf.view.ModelViewPart
`propertySheetPage`

Constructor Summary
`ZestViewPart()`

Method Summary
`void` `createModelListeners()` Creates the model listeners.
`void` `createPartControl(Composite parent)`
`SpringLayoutAlgorithm` `createSpringLayout()` Creates the spring layout.
`void` `dispose()`
`java.lang.Object` `getAdapter(java.lang.Class type)`
`double` `getGravity()` Gets the gravity.
`IAction` `getSpringCustomizer()` Gets the spring customizer.
`SpringLayoutAlgorithm` `getSpringLayout()` Gets the spring layout.
`double` `getSpringLength()` Gets the spring length.
`double` `getSpringMove()` Gets the spring move.
`double` `getStrain()` Gets the strain.
`GraphViewer` `getViewer()` Gets the viewer.
`void` `setFocus()` Sets the focus.
`void` `setGravity(double gravity)` Sets the gravity.
`void` `setInput(IEditorInput input)` Sets the input.
`void` `setLayoutAlgorithm(LayoutAlgorithm layout)` Sets the layout algorithm.
`void` `setSpringCustomizer(IAction springCustomizer)` Sets the spring customizer.
`void` `setSpringLength(double length)` Sets the spring length.
`void` `setSpringMove(double springMove)` Sets the spring move.
`void` `setStrain(double strain)` Sets the strain.

Methods inherited from class org.eclipse.amp.axf.view.ModelViewPart
`addModelListener, createSelectionListener, getModel, getModelListeners, getName, getPropertySheetPage, isSingle, propertyChange, removeModelListener, removeSelectionListener, setModel, setPartName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewer

    private GraphViewer viewer

### springs

    private SpringLayoutAlgorithm springs

### springCustomizer

    IAction springCustomizer

### gravity

    double gravity

### strain

    double strain

### springLength

    double springLength

### springMove

    double springMove

Constructor Detail

### ZestViewPart

    public ZestViewPart()

Method Detail

### createPartControl

    public void createPartControl(Composite parent)

  Overrides:
    `createPartControl` in class `ModelViewPart`
  Parameters:
    `parent` -
  See Also:
    `org.eclipse.amp.axf.view.ModelViewPart#createPartControl(org.eclipse.swt.widgets.Composite)`

### createSpringLayout

    public SpringLayoutAlgorithm createSpringLayout()

  Creates the spring layout.

  Returns:
    the spring layout algorithm

### setInput

    public void setInput(IEditorInput input)

  Description copied from class: `ModelViewPart`
  Sets the input.

  Overrides:
    `setInput` in class `ModelViewPart`
  Parameters:
    `input` -
  See Also:
    `org.eclipse.amp.axf.view.ModelViewPart#setInput(org.eclipse.ui.IEditorInput)`

### createModelListeners

    public void createModelListeners()

  Description copied from interface: `IModelPart`
  Creates the model listeners.

  Specified by:
    `createModelListeners` in interface `IModelPart`
  Overrides:
    `createModelListeners` in class `ModelViewPart`
  See Also:
    `ModelViewPart.createModelListeners()`

### setFocus

    public void setFocus()

  Sets the focus.

  Overrides:
    `setFocus` in class `ModelViewPart`
  See Also:
    `org.eclipse.ui.IWorkbenchPart#setFocus()`

### setLayoutAlgorithm

    public void setLayoutAlgorithm(LayoutAlgorithm layout)

  Sets the layout algorithm.

  Parameters:
    `layout` - the new layout algorithm

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class type)

  Overrides:
    `getAdapter` in class `ModelViewPart`
  Parameters:
    `type` -
  Returns:
  See Also:
    `ModelViewPart.getAdapter(java.lang.Class)`

### getViewer

    public GraphViewer getViewer()

  Gets the viewer.

  Returns:
    the viewer

### getStrain

    public double getStrain()

  Gets the strain.

  Returns:
    the strain

### setStrain

    public void setStrain(double strain)

  Sets the strain.

  Parameters:
    `strain` - the new strain

### getSpringLength

    public double getSpringLength()

  Gets the spring length.

  Returns:
    the spring length

### setSpringLength

    public void setSpringLength(double length)

  Sets the spring length.

  Parameters:
    `length` - the new spring length

### getGravity

    public double getGravity()

  Gets the gravity.

  Returns:
    the gravity

### setGravity

    public void setGravity(double gravity)

  Sets the gravity.

  Parameters:
    `gravity` - the new gravity

### getSpringMove

    public double getSpringMove()

  Gets the spring move.

  Returns:
    the spring move

### setSpringMove

    public void setSpringMove(double springMove)

  Sets the spring move.

  Parameters:
    `springMove` - the new spring move

### getSpringLayout

    public SpringLayoutAlgorithm getSpringLayout()

  Gets the spring layout.

  Returns:
    the spring layout

### getSpringCustomizer

    public IAction getSpringCustomizer()

  Gets the spring customizer.

  Returns:
    the spring customizer

### setSpringCustomizer

    public void setSpringCustomizer(IAction springCustomizer)

  Sets the spring customizer.

  Parameters:
    `springCustomizer` - the new spring customizer

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `ModelViewPart`
  See Also:
    `ModelViewPart.dispose()`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors